org.apache.tiles.request.servlet.extractor

## Class ApplicationScopeExtractor

- java.lang.Object
- - org.apache.tiles.request.servlet.extractor.ApplicationScopeExtractor

- All Implemented Interfaces:
    Addable<Object>, AttributeExtractor, HasAddableKeys<Object>, HasKeys<Object>, HasRemovableKeys<Object>

      public class ApplicationScopeExtractor
      extends Object
      implements AttributeExtractor

  Extract attributes from application scope.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationScopeExtractor(javax.servlet.ServletContext context)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Enumeration<String>` | `getKeys()` The enumeration of the keys of the stored attributes.
    `Object` | `getValue(String key)` Returns the value of the attribute with the given key.
    `void` | `removeValue(String name)` Removes an attribute.
    `void` | `setValue(String name, Object value)` Sets a value for the given key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationScopeExtractor

          public ApplicationScopeExtractor(javax.servlet.ServletContext context)

      Constructor.
      Parameters:
        `context` - The servlet context.

  - ### Method Detail

    - #### setValue

          public void setValue(String name,
                               Object value)

      Description copied from interface: `Addable`
      Sets a value for the given key.
      Specified by:
        `setValue` in interface `Addable<Object>`
      Parameters:
        `name` - The key of the attribute.
        `value` - The value of the attribute.

    - #### removeValue

          public void removeValue(String name)

      Description copied from interface: `HasRemovableKeys`
      Removes an attribute.
      Specified by:
        `removeValue` in interface `HasRemovableKeys<Object>`
      Parameters:
        `name` - The key of the attribute to remove.

    - #### getKeys

          public Enumeration<String> getKeys()

      Description copied from interface: `HasKeys`
      The enumeration of the keys of the stored attributes.
      Specified by:
        `getKeys` in interface `HasKeys<Object>`
      Returns:
        The keys.

    - #### getValue

          public Object getValue(String key)

      Description copied from interface: `HasKeys`
      Returns the value of the attribute with the given key.
      Specified by:
        `getValue` in interface `HasKeys<Object>`
      Parameters:
        `key` - The key of the attribute.
      Returns:
        The value.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.